Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Scheduling_Strategy Class Reference

Define the interface for the scheduling strategy. More...

`#include <EC_Scheduling_Strategy.h>`

Inheritance diagram for TAO_EC_Scheduling_Strategy

[legend]
List of all members.

## Public Methods
virtual | ~TAO_EC_Scheduling_Strategy (void)
| Destructor.
virtual void | add_proxy_supplier_dependencies ( TAO_EC_ProxyPushSupplier *supplier, TAO_EC_ProxyPushConsumer *consumer, CORBA::Environment &ACE_TRY_ENV) = 0
| Add all the dependencies between <supplier> and <consumer>.
virtual void | init_event_qos ( const RtecEventComm::EventHeader& header, TAO_EC_ProxyPushConsumer *consumer, TAO_EC_QOS_Info& qos_info, CORBA::Environment &ACE_TRY_ENV) = 0
| Initializes <qos_info> based on the QoS information for <consumer> and the event header.

## Detailed Description

Define the interface for the scheduling strategy.

The scheduling strategy controls the actions that the event channel must take to update the dependency information in the scheduler and to query the scheduler for the priority of each event pushed by a supplier. The base

## Constructor & Destructor Documentation

TAO_EC_Scheduling_Strategy::~TAO_EC_Scheduling_Strategy ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

void TAO_EC_Scheduling_Strategy::add_proxy_supplier_dependencies ( | TAO_EC_ProxyPushSupplier * supplier,
| TAO_EC_ProxyPushConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| Add all the dependencies between <supplier> and <consumer>. Reimplemented in TAO_EC_Null_Scheduling, and TAO_EC_Priority_Scheduling.

void TAO_EC_Scheduling_Strategy::init_event_qos ( | const RtecEventComm::EventHeader & header,
| TAO_EC_ProxyPushConsumer * consumer,
| TAO_EC_QOS_Info & qos_info,
| CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| Initializes <qos_info> based on the QoS information for <consumer> and the event header. Reimplemented in TAO_EC_Null_Scheduling, and TAO_EC_Priority_Scheduling.

The documentation for this class was generated from the following file:

- EC_Scheduling_Strategy.h